#ifndef __MODE3_H__
#define __MODE3_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "../libgba/gba.h"

//---------------------------------------------------------------------------
#define MODE3_MAX_BUF_SIZE			(SCREEN_WIDTH * SCREEN_HEIGHT * 2)


//---------------------------------------------------------------------------

typedef struct {
	bool isDraw;
	u16  bg[MODE3_MAX_BUF_SIZE/2] ALIGN(4);

} ST_MODE3;


//---------------------------------------------------------------------------
EWRAM_CODE void Mode3Init(void);
IWRAM_CODE void Mode3Exec(void);

IWRAM_CODE void Mode3DrawLine(s32 x1, s32 y1, s32 x2, s32 y2, u16 col);
IWRAM_CODE void Mode3DrawClear(void);

IWRAM_CODE void Mode3SetDraw(bool isDraw);


#ifdef __cplusplus
}
#endif
#endif
