#ifndef __LINE_H__
#define __LINE_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------
#define LINE_CNT					2			// \
#define LINE_REFERENCE_CNT			4			// _i1ȉ͎wsj
#define LINE_AFTER_CNT				7			// `搔i1ȉ͎wsj


//---------------------------------------------------------------------------

typedef struct {
	s32  x[LINE_REFERENCE_CNT][LINE_AFTER_CNT];
	s32  y[LINE_REFERENCE_CNT][LINE_AFTER_CNT];
	s32 vx[LINE_REFERENCE_CNT];
	s32 vy[LINE_REFERENCE_CNT];

	s32 moveCnt;
	u16 col;

} ST_LINE;


//---------------------------------------------------------------------------
EWRAM_CODE void LineInit(void);
EWRAM_CODE void LineInitSub(ST_LINE* p);

IWRAM_CODE void LineExec(void);
IWRAM_CODE void LineDraw(ST_LINE* p);
IWRAM_CODE void LineMove(ST_LINE* p);


#ifdef __cplusplus
}
#endif
#endif
